Internal IP functions
IPv4 helper functions
Collaboration diagram for Internal IP functions:

## Functions

void | nfq_ip_set_checksum (struct iphdr *iph)

## Detailed Description

Most user-space programs will never need these.

## Function Documentation

## nfq_ip_set_checksum()

void nfq_ip_set_checksum | ( | struct iphdr * | iph | ) |

nfq_ip_set_checksum - set IPv4 checksum

Parameters

  iph | Pointer to the IPv4 header

Note
  nfq_ip_mangle() invokes this function. As long as developers always use the appropriate mangler for the layer being mangled, there is no need to call nfq_ip_set_checksum.

Definition at line 102 of file ipv4.c.